
function Skinner:Bongos_Options()

	local Bongos = LibStub('AceAddon-3.0'):GetAddon('Bongos3')
	self:skinBO(Bongos.Options)
	self:applySkin(KeyboundDialog)

	local AB = Bongos:GetModule('ActionBar')
	if AB then
		self:skinBO(AB.Options)
		self:applySkin(BongosABHelpDialog)
	end
	
end

function Skinner:skinBO(frame)

	-- check all Options children
	for _, child in pairs( {frame:GetChildren()} ) do
		-- check all the grandchildren as well
		for _, grandchild in pairs( {child:GetChildren()} ) do
			if grandchild:GetObjectType() == "ScrollFrame" then
				self:removeRegions(grandchild)
				self:skinScrollBar(grandchild)
			end
			if self:IsDropDown(grandchild) then self:skinDropDown(grandchild) end
		end
		if child:GetObjectType() == "Frame" then self:applySkin(child) end
	end

end
